#version 330 core

// Interpolated values from the vertex shaders
in vec3 normal;
in vec3 position;

// Values that stay constant for the whole mesh.
uniform sampler2D myTextureSampler;

// layouts
layout (location = 0) out vec4 oNormal;
layout (location = 1) out vec4 oPosition;

void main() {
    oNormal = vec4(normal, 1.0);
    oPosition = vec4(position, 1.0);
}
